## VirtualBox-5.1.26.tar.bz2

=== src/VBox/Additions/freebsd/Makefile ===
#
# Makefile for the VirtualBox FreeBSD Guest Drivers.
#

#
#
# Copyright (C) 2009-2010 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

KBUILD_VERBOSE =

all:
	@echo "=== Building 'vboxguest' module ==="
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest
	@if [ -f vboxguest/vboxguest.ko ]; then \
	    cp vboxguest/vboxguest.ko .; \
	 fi
	@echo
	@if [ -d vboxvfs ]; then \
	    echo "=== Building 'vboxvfs' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvfs; \
	    if [ -f vboxvfs/vboxvfs.ko ]; then \
	        cp vboxvfs/vboxvfs.ko .; \
	    fi; \
	fi


install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest install
	@if [ -d vboxvfs ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvfs install; \
	fi

clean:
	@$(MAKE) -C vboxguest clean
	@if [ -d vboxvfs ]; then \
	    $(MAKE) -C vboxvfs clean; \
	fi
	rm -f vboxguest.*o vboxvfs.*o

load:
	@/sbin/kldunload vboxvfs || true
	@/sbin/kldunload vboxguest || true
	@/sbin/kldload ./vboxguest.ko
	@if [ -f vboxvfs.ko ]; then /sbin/kldload ./vboxvfs.ko; fi

=== src/VBox/Additions/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Guest Drivers.
#

#
#
# Copyright (C) 2009-2012 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

ifneq ($(KBUILD_EXTMOD),)

# Building from kBuild (make -C <kernel_directory> M=`pwd`).
# KBUILD_EXTMOD is set to $(M) in this case.

obj-m = vboxguest/ vboxsf/ vboxvideo/

else # ! KBUILD_EXTMOD

KBUILD_VERBOSE =

all:
	@echo "=== Building 'vboxguest' module ==="
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest
	@if [ -f vboxguest/vboxguest.ko ]; then \
	    cp vboxguest/vboxguest.ko .; \
	 else \
	    cp vboxguest/vboxguest.o .; \
	 fi
	@echo
	@if [ -d vboxsf ]; then \
	    if [ -f vboxguest/Module.symvers ]; then \
	        cp vboxguest/Module.symvers vboxsf; \
	    fi; \
	    echo "=== Building 'vboxsf' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxsf || exit 1; \
	    if [ -f vboxsf/vboxsf.ko ]; then \
	        cp vboxsf/vboxsf.ko .; \
	    else \
	        cp vboxsf/vboxsf.o .; \
	    fi; \
	    echo; \
	fi
	@if [ -d vboxvideo ]; then \
	    if [ -f vboxguest/Module.symvers ]; then \
	        cp vboxguest/Module.symvers vboxvideo; \
	    fi; \
	    echo "=== Building 'vboxvideo' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvideo || \
	      (echo; echo "Building of vboxvideo failed, ignoring!"; echo); \
	    if [ -f vboxvideo/vboxvideo.ko ]; then \
	        cp vboxvideo/vboxvideo.ko .; \
	    elif [ -f vboxvideo/vboxvideo.o ]; then \
	        cp vboxvideo/vboxvideo.o .; \
	    fi; \
	    echo; \
	fi

install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest install
	@if [ -d vboxsf ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxsf install; \
	fi
	@if [ -d vboxvideo ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvideo install; \
	fi

clean:
	@$(MAKE) -C vboxguest clean
	@if [ -d vboxsf ]; then \
	    $(MAKE) -C vboxsf clean; \
	fi
	@if [ -d vboxvideo ]; then \
	    $(MAKE) -C vboxvideo clean; \
	fi
	rm -f vboxguest.*o vboxsf.*o vboxvideo.*o

check:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest check

load:
	@/sbin/rmmod vboxvideo || true
	@/sbin/rmmod vboxvfs || true
	@/sbin/rmmod vboxsf || true
	@/sbin/rmmod vboxguest || true
	@/sbin/insmod vboxguest.ko
	@if [ -f vboxsf.ko ]; then /sbin/insmod vboxsf.ko; fi
	@if [ -f vboxvideo.ko ]; then /sbin/insmod vboxvideo.ko; fi

endif # ! KBUILD_EXTMOD

=== src/VBox/Frontends/Common/VBoxKeyboard/Makefile ===
# $Id
## @file
# Makefile for building the VirtualBox keyboard handler library.
#

# Note that for reasons of convenience, VirtualBox builds this library
# from inside its own build system rather than using this file.

# Copyright (C) 2007-2010 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

CFLAGS = -I. -fPIC

VBoxKeyboard.so : keyboard.o
	gcc -shared -o VBoxKeyboard.so keyboard.o -lX11

=== debian/changelog ===
virtualbox-ose (5.1.26) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 27 Jul 2017 17:00:00 +0200

virtualbox-ose (5.1.24) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 17 Jul 2017 17:00:00 +0200

virtualbox-ose (5.1.22) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Fri, 28 Apr 2017 16:00:00 +0200

virtualbox-ose (5.1.20) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Wed, 18 Apr 2017 16:00:00 +0200

virtualbox-ose (5.1.18) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Wed, 15 Mar 2017 16:00:00 +0100

virtualbox-ose (5.1.16) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Wed, 08 Mar 2017 16:00:00 +0100

virtualbox-ose (5.1.14) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 16 Jan 2017 16:00:00 +0100

virtualbox-ose (5.1.12) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Tue, 20 Dec 2016 16:00:00 +0100

virtualbox-ose (5.1.10) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 21 Nov 2016 16:00:00 +0100

virtualbox-ose (5.1.8) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Tue, 18 Oct 2016 16:00:00 +0200

virtualbox-ose (5.1.6) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 12 Sep 2016 18:00:00 +0200

virtualbox-ose (5.1.4) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Tue, 18 Aug 2016 18:00:00 +0200

virtualbox-ose (5.1.2) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 21 Jul 2016 18:00:00 +0200

virtualbox-ose (5.1.0) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Tue, 12 Jul 2016 18:00:00 +0200

virtualbox-ose (5.1.0~rc1) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 07 Jul 2016 18:00:00 +0200

virtualbox-ose (5.1.0~beta3) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 16 Jun 2016 18:00:00 +0200

virtualbox-ose (5.1.0~beta2) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 06 Jun 2016 18:00:00 +0200

virtualbox-ose (5.1.0~beta1) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Fri, 03 Jun 2016 18:00:00 +0200

virtualbox-ose (5.0.18) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 18 Apr 2016 18:00:00 +0100

virtualbox-ose (5.0.16) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Fri, 04 Mar 2016 18:00:00 +0100

virtualbox-ose (5.0.14) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Tue, 19 Jan 2016 18:00:00 +0100

virtualbox-ose (5.0.12) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Fri, 18 Dec 2015 18:00:00 +0100

virtualbox-ose (5.0.10) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Tue, 10 Nov 2015 18:00:00 +0100

virtualbox-ose (5.0.8) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 20 Oct 2015 18:00:00 +0200

virtualbox-ose (5.0.6) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 02 Oct 2015 14:00:00 +0200

virtualbox-ose (5.0.4) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 07 Sep 2015 17:00:00 +0200

virtualbox-ose (5.0.2) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 13 Aug 2015 17:00:00 +0200

virtualbox-ose (5.0.0) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 09 Jul 2015 14:00:00 +0200

virtualbox-ose (5.0.0~rc3) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Fri, 03 Jul 2015 18:00:00 +0200

virtualbox-ose (5.0.0~rc2) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 25 Jun 2015 18:00:00 +0200

virtualbox-ose (5.0.0~rc1) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 01 Jun 2015 18:00:00 +0200

virtualbox-ose (5.0.0~beta4) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Mon, 18 May 2015 18:00:00 +0200

virtualbox-ose (5.0.0~beta3) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Thu, 07 May 2015 18:00:00 +0200

virtualbox-ose (5.0.0~beta1) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Wed, 01 Apr 2015 18:00:00 +0200

virtualbox-ose (4.3.51~rc1) unstable; urgency=low

  * rebuild Debian package.

 -- Oracle Corporation <info@virtualbox.org>  Tue, 08 Oct 2013 18:00:00 +0200

virtualbox-ose (4.3.0~rc1) unstable; urgency=low

  * rebuild Debian package. NOTE: this is a release candidate, so do not use on production setups.

 -- Oracle Corporation <info@virtualbox.org>  Tue, 08 Oct 2013 18:00:00 +0200

virtualbox-ose (4.3.0~beta3) unstable; urgency=low

  * rebuild Debian package

 -- Oracle Corporation <info@virtualbox.org>  Mon, 20 Sept 2013 18:00:00 +0200

virtualbox-ose (4.3.0~beta2) unstable; urgency=low

  * rebuild Debian package



=== debian/control ===
Source: virtualbox-ose
Section: misc
Priority: optional
Maintainer: Oracle Corporation <info@virtualbox.org>
Standards-Version: 3.2.1
Build-Depends: debhelper (>= 5), libz-dev, libssl-dev, libqt4-dev,
  libqt4-opengl-dev, libsdl1.2-dev, uuid-dev, libxcursor-dev,
  libidl-dev, libpam0g-dev, iasl, xsltproc, linux-headers-generic,
  wine, java2-runtime, lsb-release, g++-multilib [amd64],
  libc6-dev-i386 [amd64], ia32-libs [amd64], libasound-dev,
  libpulse-dev, libxml2-dev, python-dev, gsoap,
  libcap2-dev, libgl1-mesa-dev, libglu1-mesa-dev, libxmu-dev,
  libxext-dev, libcurl-dev, libxrandr-dev, openjdk-6-jdk | sun-java6-jdk
XS-Python-Version: >= 2.4

Package: virtualbox-ose
Architecture: i386 amd64
Pre-Depends: debconf (>= 1.1) | debconf-2.0
Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, psmisc, adduser
Recommends: ${alsa}, ${pulse}, ${sdlttf},
  linux-headers, gcc, make, binutils
Description: Oracle VM VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
XB-Python-Version: ${python:Versions}

Package: virtualbox-ose-dbg
Architecture: i386 amd64
Depends: virtualbox-ose (= ${Source-Version})
Description: Oracle VM VirtualBox debugging symbols
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
 .
 This package contains debugging symbols.

=== src/VBox/Installer/linux/debian/control ===
Source: virtualbox-5.1
Section: contrib/misc
Priority: optional
Maintainer: Oracle Corporation <info@virtualbox.org>
Standards-Version: 3.2.1
Build-Depends: debhelper (>= 5), libz-dev, libssl-dev, libqt4-dev,
  libqt4-opengl-dev, libsdl1.2-dev, uuid-dev, libxcursor-dev,
  libidl-dev, libpam0g-dev, iasl, xsltproc, linux-headers-generic,
  wine, java2-runtime, lsb-release, g++-multilib [amd64],
  libc6-dev-i386 [amd64], ia32-libs [amd64], libasound-dev,
  libpulse-dev, libxml2-dev, python-dev,
  libcap2-dev, libgl1-mesa-dev, libglu1-mesa-dev, libxmu-dev,
  libxext-dev, libcurl-dev, libxrandr-dev, openjdk-6-jdk | sun-java6-jdk
XS-Python-Version: >= 2.4

Package: virtualbox-5.1
Architecture: i386 amd64
Pre-Depends: debconf (>= 1.1) | debconf-2.0
Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, psmisc, adduser
Recommends: ${alsa}, ${pulse}, ${sdlttf}, kmod | kldutils | module-init-tools,
  linux-headers-generic | linux-headers-generic-pae | linux-headers-686-pae | linux-headers-amd64 | linux-headers-2.6-686 | linux-headers-2.6-amd64 | linux-headers,
  linux-image, gcc, make | build-essential | dpkg-dev, binutils,
  pdf-viewer, libgl1
Provides: virtualbox
Replaces: virtualbox
Conflicts: virtualbox, virtualbox-ose, virtualbox-guest-additions-iso
Description: Oracle VM VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
XB-Python-Version: ${python:Versions}

Package: virtualbox-5.1-dbg
Architecture: i386 amd64
Depends: virtualbox-5.1 (= ${binary:Version})
Provides: virtualbox-dbg
Replaces: virtualbox-dbg
Conflicts: virtualbox-dbg, virtualbox-ose-dbg
Description: Oracle VM VirtualBox debugging symbols
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2006-2012 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

#export DH_VERBOSE=1
export DH_COMPAT=4

# possible overrides:
#  OSE=1            force VBOX_OSE
#  NOPARALLEL=1     compile with -j1
#  LINUX=<dir>      compile vboxdrv against Linux found in <dir>
#  VERBOSE=1        verbose build
#  DEBUG=1          debug build
#  NOSUBVER=1       disable generation of the sub-version field (which is
#                   either the subversion rev [if available] or the build date)
#  NODOCS=1         don't build docs, use precompiled UserManual.pdf and
#                   VirtualBox.chm from $HOME
#  NOMODS=1         don't build any module
#  NOQT=1           don't build the Qt GUI
#  EFI=1            include the EFI binary from prebuild
#  HEADLESS=1       build the headless version
#  VNC=1            build VNC code
#  NOWEBSVC=1       don't build the webservice API, default for OSE
#  STAGEDISO=<path> don't build the VBoxAdditions, use the precompiled .iso
#  PKGDIR=<path>    where to store the final package(s)

package  := virtualbox
verpkg   := virtualbox-ose
current  := $(shell pwd)
vboxroot := $(shell pwd)
pkgdir   := $(if $(PKGDIR),$(PKGDIR),$(shell cd ..; pwd))
builddir := $(vboxroot)/out/debian/builddir
moddir   := $(vboxroot)/out/debian/modules
prefix   := $(current)/debian/$(verpkg)
arch     := $(shell dpkg --print-architecture)
verfile  := $(builddir)/version-generated.mk
ose      := $(if $(OSE),1,$(if $(wildcard $(vboxroot)/src/VBox/RDP/server),,1))
NOMODS   ?= $(ose)
NOQT     ?= $(HEADLESS)
NOWEBSVC ?= $(ose)
NOWINE   := $(if $(NODOCS),$(if $(STAGEDISO),1,),)$(ose)

ifneq ($(wildcard $(verfile)),)
include $(verfile)
ver      := $(VBOX_VERSION_STRING)
archdir  := $(prefix)/opt/VirtualBox-$(ver)
endif

ifneq ($(STAGEDISO),)
 ifeq ($(wildcard $(STAGEDISO)/VBoxGuestAdditions.iso),)
  $(error STAGEDISO='$(STAGEDISO)/VBoxGuestAdditions.iso' not found)
 endif
endif

debrel  := $(if $(shell which lsb_release),_$(shell lsb_release -si)_$(shell lsb_release -sc),unknown)

cfg_flags := $(if $(NOQT),--disable-qt,) \
	     $(if $(ose),--ose,) $(if $(LINUX),--with-linux=$(LINUX),) \
	     $(if $(HEADLESS),--build-headless,) \
	     $(if $(DEBUG),--build-debug,) \
	     $(if $(NOWINE),,--setup-wine) \
	     $(if $(NOWEBSVC),,$(if $(ose),--enable-webservice,)) \
	     $(if $(VNC),--enable-vnc,) \
	     --disable-extpack

bld_flags := AUTOCFG=$(current)/debian/AutoConfig.kmk \
	     LOCALCFG=$(current)/debian/LocalConfig.kmk \
	     PATH_OUT=$(builddir) \
	     VBOX_WITHOUT_EXTPACK_PUEL_PACKING=1 \
	     VBOX_WITHOUT_EXTPACK_VNC_PACKING=1 \
	     $(if $(filter _Debian_squeeze _Ubuntu_lucid,$(debrel)),,VBOX_WITH_VMSVGA3D=1) \
	     VBOX_DO_STRIP= \
	     VBOX_WITH_MULTIVERSION_PYTHON= \
	     VBOX_PATH_PACKAGE_DOCS="\"/usr/share/doc/$(verpkg)\"" \
	     $(if $(ose),,VBOX_WITH_DOCS_CHM=1) \
	     $(if $(svnrev),VBOX_SVN_REV=$(svnrev),) \
	     $(if $(NODOCS),VBOX_WITH_DOCS= ,) \
	     $(if $(VERBOSE),--print-directory KBUILD_VERBOSE=2,--no-print-directory) \
	     $(if $(STAGEDISO),VBOX_WITHOUT_ADDITIONS=1,)

configure: debian/configure-stamp
debian/configure-stamp:
	dh_testdir
	cd $(vboxroot) && ./configure --odir=$(current)/debian $(cfg_flags)
	touch debian/configure-stamp

build: debian/configure-stamp debian/build-stamp
debian/build-stamp $(verfile):
	dh_testdir
	. debian/env.sh && kmk -C $(vboxroot) $(bld_flags) $(if $(NOPARALLEL),-j1,) all
	$(if $(NODOCS),cp $(vboxroot)/prebuild/UserManual*.pdf $(builddir)/bin,)
	$(if $(NODOCS),cp $(vboxroot)/prebuild/VirtualBox*.chm $(builddir)/bin,)
	$(if $(EFI),cp $(vboxroot)/prebuild/VBoxEFI32.fd $(builddir)/bin,)
	$(if $(EFI),cp $(vboxroot)/prebuild/VBoxEFI64.fd $(builddir)/bin,)
	mkdir -p $(builddir)/bin/additions
	$(if $(STAGEDISO),cp $(STAGEDISO)/VBoxGuestAdditions.iso $(builddir)/bin/additions,)
	. debian/env.sh && kmk -C $(vboxroot) $(bld_flags) \
	    VBOX_NO_LINUX_RUN_INSTALLER=1 \
	    VBOX_LNX_ADD_ARCHIVE.x86=$(builddir)/bin/additions/VBoxGuestAdditions-x86.tar.bz2 \
	    VBOX_LNX_ADD_ARCHIVE.amd64=$(builddir)/bin/additions/VBoxGuestAdditions-amd64.tar.bz2 \
	    VBOX_PATH_ADDITIONS.linux.x86=$(builddir)/bin/additions \
	    VBOX_PATH_ADDITIONS.linux.amd64=$(builddir)/bin/additions \
	    packing
	touch debian/build-stamp

# Build modules for every kernel we find in /lib/modules/*
modules: debian/build-stamp debian/modules-stamp
debian/modules-stamp: debian/build-stamp
	rm -rf $(moddir)
	mkdir $(moddir)
	make -C $(builddir)/bin/src/vboxdrv clean
	for d in $(wildcard /lib/modules/*); do \
	    if [ -L $$d/build ]; then \
	        make -C $(builddir)/bin/src/vboxdrv KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
	        make -j4 -C $(builddir)/bin/src/vboxdrv KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all \
	        make -C $(builddir)/bin/src/vboxnetflt KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxnetflt || true) && \
	        make -j4 -C $(builddir)/bin/src/vboxnetflt KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all \
	        make -C $(builddir)/bin/src/vboxnetadp KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxnetadp || true) && \
	        make -j4 -C $(builddir)/bin/src/vboxnetadp KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all \
	        make -C $(builddir)/bin/src/vboxpci KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxpci || true) && \
	        make -j4 -C $(builddir)/bin/src/vboxpci KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all \
	    fi; \
	done
	make -C $(builddir)/bin/src/vboxdrv clean
	make -C $(builddir)/bin/src/vboxnetflt clean
	make -C $(builddir)/bin/src/vboxnetadp clean
	make -C $(builddir)/bin/src/vboxpci clean
	touch debian/modules-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f debian/preinst debian/postinst debian/prerm
	rm -f debian/$(package).init debian/vboxdrv.init
	rm -f debian/vboxballoonctrl-service.init debian/vboxautostart-service.init debian/vboxweb-service.init
	rm -f debian/AutoConfig.kmk debian/configure.log debian/env.sh
	rm -f debian/modules-stamp debian/build-stamp debian/configure-stamp
	rm -f debian/virtualbox-*.substvars debian/virtualbox*.debhelper
	rm -f debian/$(verpkg).mime
	rm -rf $(builddir) $(moddir)
	rm -rf debian/wine.*
	dh_clean

ifeq ($(VBOX_VERSION_MAJOR),)
binary binary-arch binary-indep: build $(verfile)
	$(MAKE) -f debian/rules binary
else
# Build architecture-dependent files here.
binary binary-arch binary-indep: build $(if $(NOMODS),,modules)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	tar -xC $(prefix)/opt -f $(builddir)/bin/VirtualBox.tar
	$(if $(NOQT),,mv $(archdir)/virtualbox.xml debian/$(verpkg).sharedmimeinfo)
	$(archdir)/scripts/install.sh --package $(package) --root $(prefix) \
	    --prefix /usr $(if $(NOQT),--no-qt) $(if $(ose),--ose) \
	    $(if $(HEADLESS),--headless) $(if $(NOWEBSVC),--no-web-service) \
	    --install-folder /lib/$(package) --no-helpers
	install -d -g 0 -o 0 $(prefix)/usr/share/doc/$(verpkg)
	install -d -g 0 -o 0 $(prefix)/usr/share/lintian/overrides
	sed \
	    -e 's|%VERPKG%|$(verpkg)|g' \
	    debian/lintian-override.in > \
	   $(prefix)/usr/share/lintian/overrides/$(verpkg)
	$(if $(NOMODS),,for d in $(moddir)/*; do \
	    if [ -f $$d/vboxdrv.ko -a -f $$d/vboxnetflt.ko -a -f $$d/vboxnetadp.ko -a -f $$d/vboxpci.ko ]; then \
	        install -D -g 0 -o 0 -m 0644 \

=== src/VBox/Installer/linux/debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2006-2015 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

#
# NOTE: if you make changes to this file, please check if the updates should
# be also applied to the publicly visible debian/rules file.
#

#export DH_VERBOSE=1
export DH_COMPAT=5

# possible overrides:
#  OSE=1            force VBOX_OSE
#  NOPARALLEL=1     compile with -j1
#  LINUX=<dir>      compile vboxdrv against Linux found in <dir>
#  VERBOSE=1        verbose build
#  DEBUG=1          debug build
#  NOSUBVER=1       disable generation of the sub-version field (which is
#                   either the subversion rev [if available] or the build date)
#  NODOCS=1         don't build docs, use precompiled UserManual.pdf and
#                   VirtualBox.chm from $HOME
#  NOMODS=1         don't build any module
#  NOQT=1           don't build the Qt GUI
#  EFI=1            include the EFI binary from prebuild
#  VERSUFFIX=<suffix> set a particular package version suffix (e.g. _customer)
#  HEADLESS=1       build the headless version
#  VNC=1            build VNC code
#  NOWEBSVC=1       don't build the webservice API, default for OSE
#  STAGEDISO=<path> don't build the VBoxAdditions, use the precompiled .iso
#  PKGDIR=<path>    where to store the final package(s)
#
# NODOCS will also be set if UserManual*.pdf and VirtualBox*.chm are placed in
# $(vboxroot)/prebuild.  STAGEDISO will be set if VBoxGuestAdditions.iso is
# placed there.  Wine will not be required to be available if both NODOCS and
# STAGEDISO are set.

package  := virtualbox
verpkg   := virtualbox-5.1
current  := $(shell pwd)
vboxroot := $(shell cd ../../../..; pwd)
pkgdir   := $(if $(PKGDIR),$(PKGDIR),$(shell cd ../../../../..; pwd))
builddir := $(vboxroot)/out/debian/builddir
moddir   := $(vboxroot)/out/debian/modules
prefix   := $(current)/debian/$(verpkg)
arch     := $(shell dpkg --print-architecture)
verfile  := $(builddir)/version-generated.mk
ose      := $(if $(OSE),1,$(if $(wildcard $(vboxroot)/src/VBox/RDP/server),,1))
chrarch  := $(shell if [ `uname -m` = "x86_64" ]; then echo "amd64"; else echo "x86"; fi)
-include $(vboxroot)/SVN_REVISION
svnrev   :=$(if $(svn_revision),$(svn_revision),)

NOMODS   ?= $(ose)
NOQT     ?= $(HEADLESS)
NOWEBSVC ?= $(ose)
NODOCS   ?= $(if $(wildcard $(vboxroot)/prebuild/UserManual*.pdf),$(if $(wildcard $(vboxroot)/prebuild/VirtualBox*.chm),1,),)
STAGEDISO ?= $(if $(wildcard $(vboxroot)/prebuild/VBoxGuestAdditions.iso),$(vboxroot)/prebuild,)
NOWINE   := $(if $(NODOCS),$(if $(STAGEDISO),1,),)$(ose)
PYTHON   := $(firstword $(shell which python) $(shell which python3))

ifneq ($(wildcard $(verfile)),)
include $(verfile)
ver      := $(VBOX_VERSION_STRING)
svnver   := $(if $(NOSUBVER),,$(if $(svn_revision),-$(svn_revision),$(shell if \
		svn info > /dev/null 2>&1; then \
		svn info|sed -e "s/^Revision: \(.*\)/-\1/;t;d"; else \
		date +"-%Y%m%d"; fi)))
debver   :=$(subst _ALPHA,~alpha,$(subst _BETA,~beta,$(subst _RC,~rc,$(subst _OSE,~ose,$(ver)))))$(svnver)$(VERSUFFIX)$(if $(HEADLESS),~headless,)$(if $(DEBUG),~dbg,)
archdir  := $(prefix)/opt/VirtualBox-$(ver)
endif

ifneq ($(STAGEDISO),)
 ifeq ($(wildcard $(STAGEDISO)/VBoxGuestAdditions.iso),)
  $(error STAGEDISO='$(STAGEDISO)/VBoxGuestAdditions.iso' not found)
 endif
endif

debrel  := $(if $(shell which lsb_release),_$(shell lsb_release -si)_$(shell lsb_release -sc),unknown)

ifneq ($(MAKECMDGOALS),clean)
 debdist  := $(strip $(shell grep $(debrel) $(current)/distributions_deb | cut -d'=' -f2))
 ifeq ($(debdist),)
  debdist := $(if $(shell which lsb_release),_$(shell lsb_release -si | tr a-z A-Z)_$(shell lsb_release -sr | sed -e 's/\./_/g' -e 's/\([^_]*\)\(_[^_]*\).*/\1\2/'),unknown)
  # $(error package distribution not detected (debrel=$(debrel)))
 endif
endif

cfg_flags := $(if $(NOQT),--disable-qt,) \
	     $(if $(ose),--ose,) $(if $(LINUX),--with-linux=$(LINUX),) \
	     $(if $(HEADLESS),--build-headless,) \
	     $(if $(DEBUG),--build-debug,) \
	     $(if $(NOWINE),,--setup-wine) \
	     $(if $(NOWEBSVC),,$(if $(ose),--enable-webservice,)) \
	     $(if $(VNC),--enable-vnc,) \
	     --disable-extpack

bld_flags := AUTOCFG=$(current)/debian/AutoConfig.kmk \
	     LOCALCFG=$(current)/debian/LocalConfig.kmk \
	     PATH_OUT=$(builddir) \
	     VBOX_WITHOUT_EXTPACK_PUEL_PACKING=1 \
	     VBOX_WITHOUT_EXTPACK_VNC_PACKING=1 \
	     VBOX_WITH_VMSVGA3D=1 \
	     VBOX_DO_STRIP= \
	     VBOX_PATH_PACKAGE_DOCS="\"/usr/share/doc/$(verpkg)\"" \
	     $(if $(ose),,VBOX_WITH_DOCS_CHM=1) \
	     VBOX_PACKAGE_DIST=$(debdist) \
	     $(if $(svnrev),VBOX_SVN_REV=$(svnrev),) \
	     $(if $(NODOCS),VBOX_WITH_DOCS= ,) \
	     $(if $(VERBOSE),--print-directory KBUILD_VERBOSE=2,--no-print-directory) \
	     $(if $(STAGEDISO),VBOX_WITHOUT_ADDITIONS=1,)

configure: debian/configure-stamp
debian/configure-stamp:
	dh_testdir
	cd $(vboxroot) && ./configure --odir=$(current)/debian $(cfg_flags)
	touch debian/configure-stamp

build: debian/configure-stamp debian/build-stamp
debian/build-stamp $(verfile):
	dh_testdir
	. debian/env.sh && kmk -C $(vboxroot) $(bld_flags) $(if $(NOPARALLEL),-j1,) all
	$(if $(NODOCS),cp $(vboxroot)/prebuild/UserManual*.pdf $(builddir)/bin,)
	$(if $(NODOCS),cp $(vboxroot)/prebuild/VirtualBox*.chm $(builddir)/bin,)
	$(if $(EFI),cp $(vboxroot)/prebuild/VBoxEFI32.fd $(builddir)/bin,)
	$(if $(EFI),cp $(vboxroot)/prebuild/VBoxEFI64.fd $(builddir)/bin,)
	mkdir -p $(builddir)/bin/additions
	$(if $(STAGEDISO),cp $(STAGEDISO)/VBoxGuestAdditions.iso $(builddir)/bin/additions,)
	. debian/env.sh && kmk -C $(vboxroot) $(bld_flags) \
	    VBOX_NO_LINUX_RUN_INSTALLER=1 \
	    VBOX_LNX_ADD_ARCHIVE.x86=$(builddir)/bin/additions/VBoxGuestAdditions-x86.tar.bz2 \
	    VBOX_LNX_ADD_ARCHIVE.amd64=$(builddir)/bin/additions/VBoxGuestAdditions-amd64.tar.bz2 \
	    VBOX_PATH_ADDITIONS.linux.x86=$(builddir)/bin/additions \
	    VBOX_PATH_ADDITIONS.linux.amd64=$(builddir)/bin/additions \
	    packing
	touch debian/build-stamp

# Build modules for every kernel we find in /lib/modules/*
modules: debian/build-stamp debian/modules-stamp
debian/modules-stamp: debian/build-stamp
	rm -rf $(moddir)
	mkdir $(moddir)
	make -C $(builddir)/bin/src/vboxdrv clean
	for d in $(wildcard /lib/modules/*); do \
	    if [ -L $$d/build ]; then \
	        make -C $(builddir)/bin/src/vboxdrv KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
	        make -j4 -C $(builddir)/bin/src/vboxdrv KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all; \
	        make -C $(builddir)/bin/src/vboxnetflt KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxnetflt || true) && \
	        make -j4 -C $(builddir)/bin/src/vboxnetflt KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all; \
	        make -C $(builddir)/bin/src/vboxnetadp KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxnetadp || true) && \
	        make -j4 -C $(builddir)/bin/src/vboxnetadp KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all; \
	        make -C $(builddir)/bin/src/vboxpci KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxpci || true) && \
	        make -j4 -C $(builddir)/bin/src/vboxpci KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all; \
	    fi; \
	done
	make -C $(builddir)/bin/src/vboxdrv clean
	make -C $(builddir)/bin/src/vboxnetflt clean
	make -C $(builddir)/bin/src/vboxnetadp clean
	make -C $(builddir)/bin/src/vboxpci clean
